<?php
/**
* @package		Joomla
* @subpackage           mjforms.Helpers
* @copyright            Copyright (C) 2008 Mostafa Muhammad. All rights reserved.
* @license		GNU/GPL
*/

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

jimport('joomla.client.helper');
jimport('joomla.error.log');

class Helper {
    
    public $msg = '';
    
    function addSubmenu($vName) {
        
            JSubMenuHelper::addEntry(
                    JText::_('MJFORM_TITLE'),
                    'index.php?option=com_mjforms',
                    $vName == 'cpanel'
            );
        
            JSubMenuHelper::addEntry(
                    JText::_('MJFORM_FORMS'),
                    'index.php?option=com_mjforms&controller=forms',
                    $vName == 'form'
            );
            
            JSubMenuHelper::addEntry(
                    JText::_('MJFORM_EXPORTJFORM'),
                    'index.php?option=com_mjforms&controller=exportjforms',
                    $vName == 'exportjforms'
            );
            
            JSubMenuHelper::addEntry(
                    JText::_('MJFORM_IMPORTJFORM'),
                    'index.php?option=com_mjforms&controller=importjforms',
                    $vName == 'importjforms'
            );
            
            JSubMenuHelper::addEntry(
                    JText::_('MJFORM_INFO'),
                    'index.php?option=com_mjforms&controller=info',
                    $vName == 'info'
            );
       
    }
    
    function getFormRecords($tb) {
        $db = JFactory::getDbo();
        $query = 'SELECT COUNT(id) FROM '.$db->nameQuote('#__mjforms_'.$tb);
        $db->setQuery($query);
        $db->query();
        
        return $db->loadResult();
    }
    
        public function addFooter()
        {
                $footer = '<br /><div style="background-color: rgb(255, 255, 255);border-radius: 5px;border: 1px solid rgb(204, 204, 204);width: 100%;padding: 5px;text-align:center;">'
                        . 'Powered by <a href="http://www.mindphp.com/" title="PHP Tutorial Developer" target="_blank" class="hasTooltip">MindPHP Developer Team</a>. '
                        . JText::_('MJFORM_TRANSLATE_BY')
                        . '</div>';
                
                return $footer;
        }
   
}
