<?php
/**
* @package		Joomla
* @subpackage           mjforms.Views
* @copyright            Copyright (C) 2008 Mostafa Muhammad. All rights reserved.
* @license		GNU/GPL
*/

defined('_JEXEC') or die('Restricted access');
?>
<form action="" method="post" name="adminForm" id="adminForm">
    <div class="width-60 fltlft">
        <div id="cpanel">
            <div style="float:left;">
                <div class="icon">
                    <a <?php echo 'href="'.JURI::base().'index.php?option=com_mjforms&controller=forms"'; ?>>
                        <img <?php echo 'src="'.JURI::root().'media/com_mjforms/images/icon-48-form.png"'; ?> alt="" />
                        <span><?php echo JText::_('MJFORM_FORMS');?></span>
                    </a>
                </div>
            </div>                                                          
        </div>

        <div id="cpanel">
            <div style="float:left;">
                <div class="icon">
                    <a <?php echo 'href="'.JURI::base().'index.php?option=com_mjforms&controller=exportjforms"'; ?>>
                        <img <?php echo 'src="'.JURI::root().'media/com_mjforms/images/icon-48-export.png"'; ?> alt="" />
                        <span><?php echo JText::_('MJFORM_EXPORTJFORM');?></span>
                    </a>
                </div>
            </div>                                                          
        </div>

        <div id="cpanel">
            <div style="float:left;">
                <div class="icon">
                    <a <?php echo 'href="'.JURI::base().'index.php?option=com_mjforms&controller=importjforms"'; ?>>
                        <img <?php echo 'src="'.JURI::root().'media/com_mjforms/images/icon-48-import.png"'; ?> alt="" />
                        <span><?php echo JText::_('MJFORM_IMPORTJFORM');?></span>
                    </a>
                </div>
            </div>                                                          
        </div>

        <div id="cpanel">
            <div style="float:left;">
                <div class="icon">
                    <a <?php echo 'href="'.JURI::base().'index.php?option=com_mjforms&controller=info"'; ?>>
                        <img <?php echo 'src="'.JURI::root().'media/com_mjforms/images/icon-48-info.png"'; ?> alt="" />
                        <span><?php echo JText::_('MJFORM_INFO');?></span>
                    </a>
                </div>
            </div>                                                          
        </div>
        
            <div style=" clear: both; "></div>
            <div style=" background-color: #fff; border-radius: 5px; border: #ccc solid 1px; width: 95%; padding-top: 5px; ">
                <p>
                       <span class="label label-info">Support</span> 
                       <a href="<?php echo MDSUPPORT_URL; ?>" target="_blank"><?php echo MDSUPPORT_URL; ?></a>
               </p>
               <p>
                       <span class="label label-info">Documentation</span> 
                       <a href="<?php echo MDDOCUMENTATION_URL; ?>" target="_blank"><?php echo MDDOCUMENTATION_URL; ?></a>
               </p>
               <p>
                       <span class="label label-info">Current Version</span> 
                       <?php echo $this->data->current_version; ?>
               </p>
               <p>
                       <span class="label label-info">Latest Version</span> 
                       <?php 
                       if(!isset($this->data->last_version)) { 
                               echo 'Version Not Found';
                       } else { 
                       ?>
                               <?php echo $this->data->last_version; ?>
                               <?php if($this->data->current_version != $this->data->last_version) { ?>
                                       <a href="index.php?option=com_installer&view=update" target="_blank">Click Update !</a>
                               <?php } ?>
                       <?php } ?>
               </p>
        </div>
            
    </div>
    <div class="width-40 fltrt">
        <?php echo JHtml::_('sliders.start'); ?>
        <?php echo JHtml::_('sliders.panel', JText::_('MJFORM_NEWS_FEED_GROUP'), 'meta-options'); ?>
        <fieldset class="panelform"> 
            <?php echo $this->myfeed['com_feed']; ?>
        </fieldset>
        
        <?php echo JHtml::_('sliders.panel', JText::_('MJFORM_ADVERTISE_GROUP'), 'meta-options'); ?>
        <fieldset class="panelform"> 
            <?php echo $this->myfeed['ads_feed']; ?>
        </fieldset>
        
        <?php echo JHtml::_('sliders.end'); ?>
    </div>
</form>
<div style="clear: both;"></div>
<?php JHTML::_('mjforms.General.version'); ?>
<style>
    #footer {
        display: none;
    }
</style>