<?php
/**
* @package		Joomla
* @subpackage           mjforms.Views
* @copyright            Copyright (C) 2008 Mostafa Muhammad. All rights reserved.
* @license		GNU/GPL
*/

// No direct access to this file
defined('_JEXEC') or die('Restricted access');
 
// import Joomla view library
jimport('joomla.application.component.view');

require_once JPATH_COMPONENT_ADMINISTRATOR.DS.'helpers'.DS.'feed.php';

class mjformsViewCpanel extends JView 
{  
    
        function display($tpl = null)
        {
                $model = $this->getModel('cpanel');
                $this->data = $model->getVersion();
                
                $feed_com['rssurl'] = str_replace('{v}', $this->data->current_version, FEED_COM);
                $feed_ads['rssurl'] = str_replace('{v}', $this->data->current_version, FEED_ADS);
                $feed = new FeedHelper;
                $myfeed['com_feed'] =  $feed->render($feed_com);
                $myfeed['ads_feed'] =  $feed->render($feed_ads);

                $this->myfeed = $myfeed;

                $this->addToolBar();
                
                parent::display($tpl);
        }
    
        function addToolBar() 
        {
                JHTML::_('stylesheet', 'forms-backend.css', 'media/com_mjforms/styles/');
                JToolBarHelper::title(JText::_('MJFORM_TITLE'),'panel');
        }	
    
}
