<?php
/**
* @package		Joomla
* @subpackage	mjforms.Models
* @copyright	Copyright (C) 2008 Mostafa Muhammad. All rights reserved.
* @license		GNU/GPL
*/

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

// import the Joomla modellist library
jimport('joomla.application.component.model');

class MjformsModelCpanel extends JModel 
{
        public function getVersion()
        {
                $app = JFactory::getApplication();
                $state = $app->getUserState('com_mjforms.version', '');
                
                if(!empty($state)) {
                        return $state;
                }

                $data = new stdClass();
                
                $xml = JFactory::getXML(JPATH_COMPONENT_ADMINISTRATOR.DS.'mjforms.xml');
                $data->current_version = (string) $xml->version;

                $path_update = (string) $xml->updateservers->server;
                $xml_update = JFactory::getXML($path_update);

                if(!empty($xml_update)) {
                        $last_key = count($xml_update->update) - 1;
                        $last_version = (string) $xml_update->update[$last_key]->version;
                        $data->last_version = $last_version;
                }
                
                $app->setUserState('com_mjforms.version', $data);
                
                return $data;
        }
}

